Forum:Lisp
Thema:Daneben ist nicht Enter - grread
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge bearbeiten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
marc.scherer

Beiträge: 2448 / 7

Windows 7 Professional 64bit
AutoCAD Architecture 2011/2015 (deu/eng)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung

Zitat:
Original erstellt von Geos:
Bei (grread) bin ich gelandet, weil ich für die weitere Verarbeitung auch den Pickpunkt - also die Rückgabe von (entsel) brauche/möchte.

Hi Geos,

aber entsel gibt doch den Punkt bereits zurück!? Warum nimmst Du nicht den entsel Punkt?
Guckst Du hier:

Code:

(defun ## (QUESTION / LST-ENTSEL)
  (while (not LST-ENTSEL)
    (initget " ")
    (if
      (= (type (setq LST-ENTSEL (entsel (strcat "\n" QUESTION))))
'STR
      )
      (setq LST-ENTSEL 'STR)
    )
    (cond
      ((not LST-ENTSEL)
      (setq QUESTION
      "NICHTS gewählt, neuer Versuch. Rechtsklick beendet die Objektwahl: "
      )
      )
      ((= LST-ENTSEL 'STR)
      (princ "\nRechtsklick. Objektwahl wurde beendet.")
      )
    )
  )
  (if (= LST-ENTSEL 'STR)
    (setq LST-ENTSEL NIL)
  )
  LST-ENTSEL
)

Anwendung:

Code:
(setq xx (## "Objekt wählen: "))

...

------------------
Ciao,
Marc